Move Entity To Folder
Move a knowledge base document or folder to a target folder. Set move_to to null for root.
Authorizations
API key for programmatic access
Path Parameters
Body
Request body for POST /knowledge-base/{document_id}/move endpoint. Moves the entity from one folder to another.
The folder to move the entity to. If not set, the entity will be moved to the root folder.
Response
Successful Response
- GetKnowledgeBaseURLResponseModel
- GetKnowledgeBaseFileResponseModel
- GetKnowledgeBaseTextResponseModel
- GetKnowledgeBaseFolderResponseModel
Knowledge base document response for URL type
Document ID
Document name
Document metadata
Access information for the requesting user
The source URL
The extracted content from the URL
Supported usage modes for this document
How the document is used in agent context.
- prompt: Always include full document in LLM context
- auto: Use RAG to retrieve relevant chunks
prompt, auto The ID of the parent folder, or null if the document is at the root level.
The folder path segments leading to this entity, from root to parent folder.
Document type discriminator
"url"